package com.fs.hisStore.domain;

import java.math.BigDecimal;

import com.baomidou.mybatisplus.annotation.TableName;
import com.fs.common.annotation.Excel;
import com.fs.common.core.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

/**
 * 设置用户等级对象 fs_level
 * 
 * @author fs
 * @date 2022-03-15
 */
@TableName("fs_level")
public class FsLevelScrm extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** $column.columnComment */
    private Long id;

    /** 会员名称 */
    @Excel(name = "会员名称")
    private String name;

    /** 购买金额 */
    @Excel(name = "购买金额")
    private BigDecimal money;

    /** 有效时间 */
    @Excel(name = "有效时间")
    private Long validDate;

    /** 是否为永久会员 */
    @Excel(name = "是否为永久会员")
    private Integer isForever;

    /** 是否购买,1=购买,0=不购买 */
    @Excel(name = "是否购买,1=购买,0=不购买")
    private Integer isPay;

    /** 是否显示 1=显示,0=隐藏 */
    @Excel(name = "是否显示 1=显示,0=隐藏")
    private Integer isShow;

    /** 会员等级 */
    @Excel(name = "会员等级")
    private Long grade;

    /** 享受折扣 */
    @Excel(name = "享受折扣")
    private BigDecimal discount;

    /** 会员卡背景 */
    @Excel(name = "会员卡背景")
    private String image;

    /** 会员图标 */
    @Excel(name = "会员图标")
    private String icon;

    /** 说明 */
    @Excel(name = "说明")
    private String explain;

    /** 是否删除.1=删除,0=未删除 */
    @Excel(name = "是否删除.1=删除,0=未删除")
    private Integer isDel;

    public void setId(Long id) 
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }
    public void setName(String name) 
    {
        this.name = name;
    }

    public String getName() 
    {
        return name;
    }
    public void setMoney(BigDecimal money) 
    {
        this.money = money;
    }

    public BigDecimal getMoney() 
    {
        return money;
    }
    public void setValidDate(Long validDate) 
    {
        this.validDate = validDate;
    }

    public Long getValidDate() 
    {
        return validDate;
    }
    public void setIsForever(Integer isForever) 
    {
        this.isForever = isForever;
    }

    public Integer getIsForever() 
    {
        return isForever;
    }
    public void setIsPay(Integer isPay) 
    {
        this.isPay = isPay;
    }

    public Integer getIsPay() 
    {
        return isPay;
    }
    public void setIsShow(Integer isShow) 
    {
        this.isShow = isShow;
    }

    public Integer getIsShow() 
    {
        return isShow;
    }
    public void setGrade(Long grade) 
    {
        this.grade = grade;
    }

    public Long getGrade() 
    {
        return grade;
    }
    public void setDiscount(BigDecimal discount) 
    {
        this.discount = discount;
    }

    public BigDecimal getDiscount() 
    {
        return discount;
    }
    public void setImage(String image) 
    {
        this.image = image;
    }

    public String getImage() 
    {
        return image;
    }
    public void setIcon(String icon) 
    {
        this.icon = icon;
    }

    public String getIcon() 
    {
        return icon;
    }
    public void setExplain(String explain) 
    {
        this.explain = explain;
    }

    public String getExplain() 
    {
        return explain;
    }
    public void setIsDel(Integer isDel) 
    {
        this.isDel = isDel;
    }

    public Integer getIsDel() 
    {
        return isDel;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("name", getName())
            .append("money", getMoney())
            .append("validDate", getValidDate())
            .append("isForever", getIsForever())
            .append("isPay", getIsPay())
            .append("isShow", getIsShow())
            .append("grade", getGrade())
            .append("discount", getDiscount())
            .append("image", getImage())
            .append("icon", getIcon())
            .append("explain", getExplain())
            .append("createTime", getCreateTime())
            .append("updateTime", getUpdateTime())
            .append("isDel", getIsDel())
            .toString();
    }
}
